View Issue Details

IDProjectCategoryView StatusLast Update
0002505SymmetricDSImprovementpublic2016-07-22 14:25
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.7.30 
Target Version3.7.30Fixed in Version3.7.30 
Summary0002505: MSSQL support for "Export Data Tier Application"
DescriptionWhile trying to run the MSSql tool to export data tier application errors are thrown because of the catalog name being referenced in the symmetric created triggers. It also does not like the lock escalation alters that are performed. The default behavior remains in place but the following parameters have been added in order to allow .bacpac files to be created in MSSQL server.

mssql.lock.escalation.disabled
mssql.include.catalog.in.triggers

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 efde40de

2016-02-24 15:34:11

josh-a-hicks

Details Diff
0002505 - MSSQL support for creating backups (.bacpac) through the
Export Data-tier Application.

0002505
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.7 ac3cd978

2016-05-12 17:23:35

mmichalek

Details Diff
0002505 - MSSQL support for creating backups (.bacpac) through the
Export Data-tier Application.

0002505
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2016-02-24 15:31 josh-a-hicks New Issue
2016-02-24 15:31 josh-a-hicks Status new => assigned
2016-02-24 15:31 josh-a-hicks Assigned To => josh-a-hicks
2016-02-24 16:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 efde40de
2016-05-12 18:00 mmichalek Changeset attached => SymmetricDS 3.7 ac3cd978
2016-07-22 14:25 josh-a-hicks Status assigned => resolved
2016-07-22 14:25 josh-a-hicks Fixed in Version => 3.7.30
2016-07-22 14:25 josh-a-hicks Resolution open => fixed